<template>
    <div>
        <div v-if="CanPrompt" class="q-gutter-md row justify-center items-center" style="height: 350px;">

        </div>
        <div v-else class="row justify-center items-center">
            <div class="column justify-center items-center q-gutter-md " style="height: 350px;">
                <div class="text-center text-h5 text-weight-light">
                    Sorry, but it seems like you have either
                </div>
                <div class="text-left q-gutter-sm">
                    <div class="text-center text-body1">
                        1) browser that does not support Progressive Web Apps
                    </div>
                    <div class="text-center text-body1">
                        2) Rejected our 'Add to Home Screen' prompt
                    </div>
                    <div class="text-center text-body1">
                        3) Already added our application to home screen
                    </div>
                </div>

                <div class="text-body1">

                </div>
                <q-separator/>
                <div class="text-body1">
                    To add our app to home screen for a smoother and native experience, please click
                </div>
                <div>
                    <code>Settings > Add to Home</code>
                </div>
                <div class="text-body1">
                    on your mobile browser.
                </div>
            </div>

        </div>
    </div>
</template>

<style lang='scss' scoped>

</style>

<script lang='ts'>
import {Component, Vue} from 'vue-property-decorator';


@Component
export default class PWAPrompt extends Vue {
    get CanPrompt(): boolean {
        return !window.matchMedia('(display-mode: standalone)').matches && this.$pwaPrompt != null;
    }

    Prompt() {
        (this.$pwaPrompt as any).prompt();
    }
}
</script>
